DatabaseToolsClientCompositeOperations¶
- class oci.database_tools.DatabaseToolsClientCompositeOperations(client, **kwargs)¶
This class provides a wrapper around
DatabaseToolsClientand offers convenience methods for operations that would otherwise need to be chained together. For example, instead of performing an action on a resource (e.g. launching an instance, creating a load balancer) and then using a waiter to wait for the resource to enter a given state, you can call a single method in this class to accomplish the same functionalityMethods:
- __init__(client, **kwargs)¶
Creates a new DatabaseToolsClientCompositeOperations object
- Parameters
client (DatabaseToolsClient) – The service client which will be wrapped by this object
- add_database_tools_connection_lock_and_wait_for_state(database_tools_connection_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_database_tools_connection_lock()and waits for theDatabaseToolsConnectionacted upon to enter the given state(s).- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
add_resource_lock_details (oci.database_tools.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_database_tools_connection_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_database_tools_database_api_gateway_config_lock_and_wait_for_state(database_tools_database_api_gateway_config_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_database_tools_database_api_gateway_config_lock()and waits for theDatabaseToolsDatabaseApiGatewayConfigacted upon to enter the given state(s).- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
add_resource_lock_details (oci.database_tools.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_database_tools_database_api_gateway_config_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_database_tools_identity_lock_and_wait_for_state(database_tools_identity_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_database_tools_identity_lock()and waits for theDatabaseToolsIdentityacted upon to enter the given state(s).- Parameters
database_tools_identity_id (str) –
(required) The OCID of a Database Tools identity.
add_resource_lock_details (oci.database_tools.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_database_tools_identity_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_database_tools_mcp_server_lock_and_wait_for_state(database_tools_mcp_server_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_database_tools_mcp_server_lock()and waits for theDatabaseToolsMcpServeracted upon to enter the given state(s).- Parameters
database_tools_mcp_server_id (str) –
(required) The OCID of a Database Tools MCP server.
add_resource_lock_details (oci.database_tools.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_database_tools_mcp_server_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_database_tools_mcp_toolset_lock_and_wait_for_state(database_tools_mcp_toolset_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_database_tools_mcp_toolset_lock()and waits for theDatabaseToolsMcpToolsetacted upon to enter the given state(s).- Parameters
database_tools_mcp_toolset_id (str) –
(required) The OCID of a Database Tools MCP Toolset.
add_resource_lock_details (oci.database_tools.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_database_tools_mcp_toolset_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_database_tools_private_endpoint_lock_and_wait_for_state(database_tools_private_endpoint_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_database_tools_private_endpoint_lock()and waits for theDatabaseToolsPrivateEndpointacted upon to enter the given state(s).- Parameters
database_tools_private_endpoint_id (str) –
(required) The OCID of a Database Tools private endpoint.
add_resource_lock_details (oci.database_tools.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_database_tools_private_endpoint_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_database_tools_sql_report_lock_and_wait_for_state(database_tools_sql_report_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_database_tools_sql_report_lock()and waits for theDatabaseToolsSqlReportacted upon to enter the given state(s).- Parameters
database_tools_sql_report_id (str) –
(required) The OCID of a Database Tools SQL Report.
add_resource_lock_details (oci.database_tools.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_database_tools_sql_report_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- cascading_delete_database_tools_mcp_server_and_wait_for_state(database_tools_mcp_server_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
cascading_delete_database_tools_mcp_server()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_mcp_server_id (str) –
(required) The OCID of a Database Tools MCP server.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
cascading_delete_database_tools_mcp_server()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_database_tools_connection_compartment_and_wait_for_state(database_tools_connection_id, change_database_tools_connection_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_database_tools_connection_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
change_database_tools_connection_compartment_details (oci.database_tools.models.ChangeDatabaseToolsConnectionCompartmentDetails) – (required) Request to change the compartment of the Database Tools connection.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_database_tools_connection_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_database_tools_identity_compartment_and_wait_for_state(database_tools_identity_id, change_database_tools_identity_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_database_tools_identity_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_identity_id (str) –
(required) The OCID of a Database Tools identity.
change_database_tools_identity_compartment_details (oci.database_tools.models.ChangeDatabaseToolsIdentityCompartmentDetails) – (required) Request to change the compartment of the Database Tools identity.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_database_tools_identity_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_database_tools_mcp_server_compartment_and_wait_for_state(database_tools_mcp_server_id, change_database_tools_mcp_server_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_database_tools_mcp_server_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_mcp_server_id (str) –
(required) The OCID of a Database Tools MCP server.
change_database_tools_mcp_server_compartment_details (oci.database_tools.models.ChangeDatabaseToolsMcpServerCompartmentDetails) – (required) Request to change the compartment of the Database Tools MCP server.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_database_tools_mcp_server_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_database_tools_private_endpoint_compartment_and_wait_for_state(database_tools_private_endpoint_id, change_database_tools_private_endpoint_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_database_tools_private_endpoint_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_private_endpoint_id (str) –
(required) The OCID of a Database Tools private endpoint.
change_database_tools_private_endpoint_compartment_details (oci.database_tools.models.ChangeDatabaseToolsPrivateEndpointCompartmentDetails) – (required) Request to change the compartment of the Database Tools private endpoint.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_database_tools_private_endpoint_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_database_tools_connection_and_wait_for_state(create_database_tools_connection_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_database_tools_connection()and waits for theWorkRequestto enter the given state(s).- Parameters
create_database_tools_connection_details (oci.database_tools.models.CreateDatabaseToolsConnectionDetails) – (required) Details for the new Database Tools connection.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_database_tools_connection()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_database_tools_database_api_gateway_config_and_wait_for_state(create_database_tools_database_api_gateway_config_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_database_tools_database_api_gateway_config()and waits for theDatabaseToolsDatabaseApiGatewayConfigacted upon to enter the given state(s).- Parameters
create_database_tools_database_api_gateway_config_details (oci.database_tools.models.CreateDatabaseToolsDatabaseApiGatewayConfigDetails) – (required) Details for the new Database Tools database API gateway config.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_database_tools_database_api_gateway_config()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_database_tools_identity_and_wait_for_state(create_database_tools_identity_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_database_tools_identity()and waits for theWorkRequestto enter the given state(s).- Parameters
create_database_tools_identity_details (oci.database_tools.models.CreateDatabaseToolsIdentityDetails) – (required) Details for the new Database Tools identity.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_database_tools_identity()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_database_tools_mcp_server_and_wait_for_state(create_database_tools_mcp_server_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_database_tools_mcp_server()and waits for theWorkRequestto enter the given state(s).- Parameters
create_database_tools_mcp_server_details (oci.database_tools.models.CreateDatabaseToolsMcpServerDetails) – (required) Details for the new Database Tools MCP server.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_database_tools_mcp_server()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_database_tools_mcp_toolset_and_wait_for_state(create_database_tools_mcp_toolset_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_database_tools_mcp_toolset()and waits for theWorkRequestto enter the given state(s).- Parameters
create_database_tools_mcp_toolset_details (oci.database_tools.models.CreateDatabaseToolsMcpToolsetDetails) – (required) Details for the new Database Tools MCP Toolset.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_database_tools_mcp_toolset()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_database_tools_private_endpoint_and_wait_for_state(create_database_tools_private_endpoint_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_database_tools_private_endpoint()and waits for theWorkRequestto enter the given state(s).- Parameters
create_database_tools_private_endpoint_details (oci.database_tools.models.CreateDatabaseToolsPrivateEndpointDetails) – (required) Details for the new Database Tools private endpoint.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_database_tools_private_endpoint()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_database_tools_sql_report_and_wait_for_state(create_database_tools_sql_report_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_database_tools_sql_report()and waits for theWorkRequestto enter the given state(s).- Parameters
create_database_tools_sql_report_details (oci.database_tools.models.CreateDatabaseToolsSqlReportDetails) – (required) Details for the new Database Tools Sql Report.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_database_tools_sql_report()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_database_tools_connection_and_wait_for_state(database_tools_connection_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_database_tools_connection()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_database_tools_connection()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_database_tools_database_api_gateway_config_and_wait_for_state(database_tools_database_api_gateway_config_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_database_tools_database_api_gateway_config()and waits for theDatabaseToolsDatabaseApiGatewayConfigacted upon to enter the given state(s).- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_database_tools_database_api_gateway_config()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_database_tools_identity_and_wait_for_state(database_tools_identity_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_database_tools_identity()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_identity_id (str) –
(required) The OCID of a Database Tools identity.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_database_tools_identity()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_database_tools_mcp_server_and_wait_for_state(database_tools_mcp_server_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_database_tools_mcp_server()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_mcp_server_id (str) –
(required) The OCID of a Database Tools MCP server.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_database_tools_mcp_server()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_database_tools_mcp_toolset_and_wait_for_state(database_tools_mcp_toolset_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_database_tools_mcp_toolset()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_mcp_toolset_id (str) –
(required) The OCID of a Database Tools MCP Toolset.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_database_tools_mcp_toolset()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_database_tools_private_endpoint_and_wait_for_state(database_tools_private_endpoint_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_database_tools_private_endpoint()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_private_endpoint_id (str) –
(required) The OCID of a Database Tools private endpoint.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_database_tools_private_endpoint()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_database_tools_sql_report_and_wait_for_state(database_tools_sql_report_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_database_tools_sql_report()and waits for theDatabaseToolsSqlReportacted upon to enter the given state(s).- Parameters
database_tools_sql_report_id (str) –
(required) The OCID of a Database Tools SQL Report.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_database_tools_sql_report()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- refresh_database_tools_identity_credential_and_wait_for_state(database_tools_identity_id, refresh_database_tools_identity_credential_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
refresh_database_tools_identity_credential()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_identity_id (str) –
(required) The OCID of a Database Tools identity.
refresh_database_tools_identity_credential_details (oci.database_tools.models.RefreshDatabaseToolsIdentityCredentialDetails) – (required) Request to refresh Database Tools identity credential.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
refresh_database_tools_identity_credential()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_database_tools_connection_lock_and_wait_for_state(database_tools_connection_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_database_tools_connection_lock()and waits for theDatabaseToolsConnectionacted upon to enter the given state(s).- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
remove_resource_lock_details (oci.database_tools.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_database_tools_connection_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_database_tools_database_api_gateway_config_lock_and_wait_for_state(database_tools_database_api_gateway_config_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_database_tools_database_api_gateway_config_lock()and waits for theDatabaseToolsDatabaseApiGatewayConfigacted upon to enter the given state(s).- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
remove_resource_lock_details (oci.database_tools.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_database_tools_database_api_gateway_config_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_database_tools_identity_lock_and_wait_for_state(database_tools_identity_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_database_tools_identity_lock()and waits for theDatabaseToolsIdentityacted upon to enter the given state(s).- Parameters
database_tools_identity_id (str) –
(required) The OCID of a Database Tools identity.
remove_resource_lock_details (oci.database_tools.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_database_tools_identity_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_database_tools_mcp_server_lock_and_wait_for_state(database_tools_mcp_server_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_database_tools_mcp_server_lock()and waits for theDatabaseToolsMcpServeracted upon to enter the given state(s).- Parameters
database_tools_mcp_server_id (str) –
(required) The OCID of a Database Tools MCP server.
remove_resource_lock_details (oci.database_tools.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_database_tools_mcp_server_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_database_tools_mcp_toolset_lock_and_wait_for_state(database_tools_mcp_toolset_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_database_tools_mcp_toolset_lock()and waits for theDatabaseToolsMcpToolsetacted upon to enter the given state(s).- Parameters
database_tools_mcp_toolset_id (str) –
(required) The OCID of a Database Tools MCP Toolset.
remove_resource_lock_details (oci.database_tools.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_database_tools_mcp_toolset_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_database_tools_private_endpoint_lock_and_wait_for_state(database_tools_private_endpoint_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_database_tools_private_endpoint_lock()and waits for theDatabaseToolsPrivateEndpointacted upon to enter the given state(s).- Parameters
database_tools_private_endpoint_id (str) –
(required) The OCID of a Database Tools private endpoint.
remove_resource_lock_details (oci.database_tools.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_database_tools_private_endpoint_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_database_tools_sql_report_lock_and_wait_for_state(database_tools_sql_report_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_database_tools_sql_report_lock()and waits for theDatabaseToolsSqlReportacted upon to enter the given state(s).- Parameters
database_tools_sql_report_id (str) –
(required) The OCID of a Database Tools SQL Report.
remove_resource_lock_details (oci.database_tools.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_database_tools_sql_report_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_database_tools_connection_and_wait_for_state(database_tools_connection_id, update_database_tools_connection_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_database_tools_connection()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
update_database_tools_connection_details (oci.database_tools.models.UpdateDatabaseToolsConnectionDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_database_tools_connection()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_database_tools_database_api_gateway_config_and_wait_for_state(database_tools_database_api_gateway_config_id, update_database_tools_database_api_gateway_config_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_database_tools_database_api_gateway_config()and waits for theDatabaseToolsDatabaseApiGatewayConfigacted upon to enter the given state(s).- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
update_database_tools_database_api_gateway_config_details (oci.database_tools.models.UpdateDatabaseToolsDatabaseApiGatewayConfigDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_database_tools_database_api_gateway_config()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_database_tools_identity_and_wait_for_state(database_tools_identity_id, update_database_tools_identity_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_database_tools_identity()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_identity_id (str) –
(required) The OCID of a Database Tools identity.
update_database_tools_identity_details (oci.database_tools.models.UpdateDatabaseToolsIdentityDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_database_tools_identity()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_database_tools_mcp_server_and_wait_for_state(database_tools_mcp_server_id, update_database_tools_mcp_server_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_database_tools_mcp_server()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_mcp_server_id (str) –
(required) The OCID of a Database Tools MCP server.
update_database_tools_mcp_server_details (oci.database_tools.models.UpdateDatabaseToolsMcpServerDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_database_tools_mcp_server()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_database_tools_mcp_toolset_and_wait_for_state(database_tools_mcp_toolset_id, update_database_tools_mcp_toolset_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_database_tools_mcp_toolset()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_mcp_toolset_id (str) –
(required) The OCID of a Database Tools MCP Toolset.
update_database_tools_mcp_toolset_details (oci.database_tools.models.UpdateDatabaseToolsMcpToolsetDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_database_tools_mcp_toolset()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_database_tools_private_endpoint_and_wait_for_state(database_tools_private_endpoint_id, update_database_tools_private_endpoint_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_database_tools_private_endpoint()and waits for theWorkRequestto enter the given state(s).- Parameters
database_tools_private_endpoint_id (str) –
(required) The OCID of a Database Tools private endpoint.
update_database_tools_private_endpoint_details (oci.database_tools.models.UpdateDatabaseToolsPrivateEndpointDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_database_tools_private_endpoint()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_database_tools_sql_report_and_wait_for_state(database_tools_sql_report_id, update_database_tools_sql_report_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_database_tools_sql_report()and waits for theDatabaseToolsSqlReportacted upon to enter the given state(s).- Parameters
database_tools_sql_report_id (str) –
(required) The OCID of a Database Tools SQL Report.
update_database_tools_sql_report_details (oci.database_tools.models.UpdateDatabaseToolsSqlReportDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_database_tools_sql_report()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait